package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.ConsultSearchModel;
import com.lightinit.hsdataplatform.model.admin.NewModel;

import java.util.List;

public interface IConsultService {

    ResultState add(NewModel inputModel);

    int queryCount(ConsultSearchModel inputModel);

    List<NewModel> getList(ConsultSearchModel inputModel);

    ResultState update(NewModel inputModel);

    ResultState delete(Long id);
}
